Subject: Re: [PATCH] use persistent memory for rejected paths

From: Clemens Buchacher <[email-masked]>
Date: Mon, 15 Nov 2010 20:02:06 +0100

On Mon, Nov 15, 2010 at 10:31:33AM -0800, Junio C Hamano wrote:
> 
> Hmmm, all calls to add_rejected_path() seems to be with ce->name as the
> path parameter,

Yes. All of them except for the leading path checks I introduced
recently. In that code path we have to report untracked files which
do not have a corresponding index entry.

> That is true but I wonder if the order should be "whatever the processing
> order happens to be" in the first place, as this is a report to the end
> user, no?  Perhaps "collect in strlist, sort at the end before showing" is
> a more desirable thing to do?

Is the order of processing not alphabetic? It is at least in the
tests that I touched.

Clemens